libej-dev_4.2.1+dfsg-1_i386.deb


Advertisement

Description

libej-dev - hardware & software framework for developing science experiments

Property Value
Distribution Debian 9 (Stretch)
Repository Debian Main i386
Package filename libej-dev_4.2.1+dfsg-1_i386.deb
Package name libej-dev
Package version 4.2.1+dfsg
Package release 1
Package architecture i386
Package type deb
Category devel::lang:c devel::library field::physics implemented-in::c libdevel role::devel-lib science::data-acquisition science::plotting use::measuring
Homepage http://expeyes.in/
License -
Maintainer Georges Khaznadar <georgesk@debian.org>
Download size 19.71 KB
Installed size 56.00 KB
This package provides headers and links to develop software in C language
addressing an expEYES box.
ExpEYES is from the PHOENIX project of Inter-University Accelerator
Centre, New Delhi. It is a hardware & software framework for
developing science experiments, demonstrations and projects and learn
science and engineering by exploration.

Alternatives

Package Version Architecture Repository
libej-dev_4.2.1+dfsg-1_amd64.deb 4.2.1+dfsg amd64 Debian Main
libej-dev - - -

Requires

Name Value
libej0 << 4.2.1+dfsg-1.1~
libej0 >= 4.2.1+dfsg-1

Download

Type URL
Mirror ftp.br.debian.org
Binary Package libej-dev_4.2.1+dfsg-1_i386.deb
Source Package expeyes

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libej-dev deb package:
    # sudo apt-get install libej-dev

Files

Path
/usr/include/ejlib.h/ejlib.h
/usr/lib/libej.a
/usr/lib/libej.so
/usr/share/doc/libej-dev/changelog.Debian.gz
/usr/share/doc/libej-dev/copyright

Changelog

2016-06-23 - Georges Khaznadar <georgesk@debian.org>
expeyes (4.2.1+dfsg-1) unstable; urgency=medium
* fixed a message in logger.py
* fixed an error with get_version()
* modified eyesj.py to prevent extra newlines in data files and work with the
new python-pygrace packages
* made pygrace.grace() objects persistent in any program which uses them
* added dependencies on versioned python{3?}-pygrace packages and
build-dependencies on x11proto-randr-dev (>= 1.5.0)
* fixed a deprecation warning in eyemath.py
* fixed an indentation error in eyeplot.py, removed whitespaces in end
of lines
* reindented eyes.py, mca.py resistor-iv.py, freq-response.py and
eyemath.py with spaces
* separated rules for arch and indep targets
* added a new file to save when a FFT is launched from croplus.py
2016-06-22 - Georges Khaznadar <georgesk@debian.org>
expeyes (4.1.1+dfsg-3) unstable; urgency=medium
* fixed extra empty lines written in data files
2016-05-20 - Georges Khaznadar <georgesk@debian.org>
expeyes (4.1.1+dfsg-2) unstable; urgency=medium
* changed the dependencies of expeyes, to avoid the dependencies
on python:any and python3-any, which prevent the package to be
accepted in testing.
* fixed missing dependencies for expeyes-web
2016-05-18 - Georges Khaznadar <georgesk@debian.org>
expeyes (4.1.1+dfsg-1) unstable; urgency=medium
* new upstream release, which adds a web interface
* added a new output package named expeyes-web
* added a recommends: clause : expeyes => expeyes-web
* updated Standards-Version: 3.9.8
* removed sourceless javascript files from the source
* changed the download script to remove those files automatically in
the future
* modified index.php to use javascript files provided by packages.
* patched the CGI scripts to work with Debian.
* added dependencies on libjs-jquery and libjs-bootstrap
* created a sample file to make a web service via a virtual host
2016-03-23 - Georges Khaznadar <georgesk@debian.org>
expeyes (4.0.0-1) unstable; urgency=medium
* upgraded to the new upstream version
2016-01-15 - Georges Khaznadar <georgesk@debian.org>
expeyes (3.4.2-1) unstable; urgency=medium
* upgraded to the new upstream version
2015-12-22 - Georges Khaznadar <georgesk@debian.org>
expeyes (3.4.1-3) unstable; urgency=medium
* changed the build-dependency on libc-avr to a versioned one,
to ensure the existence of the file crtatmega32.o
2015-11-14 - Georges Khaznadar <georgesk@debian.org>
expeyes (3.4.1-2) unstable; urgency=medium
* added "DEB_BUILD_MAINT_OPTIONS=reproducible=-timeless" in d/rules
* changed the dependency on qti-plot to a recommendation.
2015-10-21 - Georges Khaznadar <georgesk@debian.org>
expeyes (3.4.1-1) unstable; urgency=medium
* added dependencies for python3-based packages where dependencies on
python packages were there, and ...
* added a "Provides: python3-expeyes" clause, as the same code can work with
both Python and Python3. Closes: #799203
* removed the recommends clause on udev which is part of base packages now.
* replaces the build-dependency on python3-dev by a dependency on
python3-all. Closes: #799202
* upgraded to the new upstream version, which adds support for 'srfechotime'
* removed debian/*.menu since desktop files are installed to access
applications
2015-04-23 - Georges Khaznadar <georgesk@debian.org>
expeyes (3.4.0-1) unstable; urgency=medium
* upgraded to the new version: this empowers the library with Python3 for
expeyes-junior, and the new command "expeyes-junior" will use now Python3
as engine.
* updated Makefile, d/control, d/rules and d/python-expeyes.install to take
python3 in account

See Also

Package Description
libej0_4.2.1+dfsg-1_i386.deb hardware & software framework for developing science experiments
libejml-java_0.28-1_all.deb Efficient Java Matrix Library
libelemental-dev_1.2.0-10+b1_i386.deb Periodic Table viewer (development files)
libelemental-doc_1.2.0-10_all.deb Periodic Table viewer (API documentation)
libelemental0_1.2.0-10+b1_i386.deb Periodic Table viewer (data and shared library)
libelementary-bin_1.8.5-2_i386.deb EFL-based widget set library - helper programs
libelementary-data_1.8.5-2_all.deb runtime data-files for libelementary
libelementary-dev_1.8.5-2_i386.deb Development files for libelementary
libelementary2_1.8.5-2_i386.deb EFL-based widget set library
libelf++0_0.3-1_i386.deb C++11 ELF parser
libelf-dev_0.168-1_i386.deb libelf1 development libraries and header files
libelf-freebsd-1_10.3~svn296373-9_i386.deb library to read and write ELF files
libelf-freebsd-dev_10.3~svn296373-9_i386.deb Development files for libelf (FreeBSD version)
libelf1_0.168-1_i386.deb library to read and write ELF files
libelfin-dev_0.3-1_i386.deb C++11 ELF/DWARF parser (development files)
Advertisement
Advertisement